import { AbstractServerMessageConfig } from "../generated/AbstractServerMessageConfig";
import { AbstractClientMessageConfig } from "../generated/AbstractClientMessageConfig";
export interface ReconnectingCompressingWebSocketConnectionListener {
    onConnected: () => void;
    onMessage: (messageObject: AbstractServerMessageConfig) => void;
    onConnectionLost: () => void;
    onReconnected: () => void;
}
export declare class ReconnectingCompressingWebSocketConnection {
    private listener;
    private static logger;
    private url;
    private connection;
    private initialConnection;
    private inflator;
    private deflator;
    private closed;
    constructor(url: string, listener: ReconnectingCompressingWebSocketConnectionListener);
    isConnected(): boolean;
    send(object: AbstractClientMessageConfig): void;
    private reconnect;
    stopReconnecting(): void;
    close(): void;
    private static log;
}
